import request from '@/utils/request';

// 获取点检页面当前值
export function getInspectionCurrent(deviceId, inputTime) {
    return request({
        url: `/Check/currunt?deviceTypeId=${deviceId}&inputTime=${inputTime}`,
        method: 'get'
    });
}

// 获取点检页面整点数值
export function getInspectionData(deviceId, inputTime, shift) {
    return request({
        url: `/Check/sharp?deviceTypeId=${deviceId}&inputTime=${inputTime}&shift=${shift}`,
        method: 'get'
    });
}

// 获取点检页面参数
export function getCheckParas(deviceId, inputTime) {
    return request({
        url: `/Check/CheckParas?deviceTypeId=${deviceId}&inputTime=${inputTime}`,
        method: 'get'
    });
}

// 获取设备列表
export function getDeviceList() {
    return request({
        url: '/Check/deviceList',
        method: 'get'
    });
}

// 导出excel
export function exportExcel(deviceId, inputTime, shift) {
    return request({
        url: `/Check/Export/Juice?deviceTypeId=${deviceId}&inputTime=${inputTime}&shift=${shift}`,
        method: 'get',
        responseType: 'arraybuffer'  // 关键：设置响应类型为 arraybuffer
    });
}

// 报警相关接口
// 时间点确认点检，传递多个 alarmId
export function sharpConfirm(alarmIdList, confirmTime, checkUser) {
    const alarmIdParams = alarmIdList.map(id => `alarmIdList=${id}`).join('&');
    return request({
        url: `/Check/sharpConfirm?${alarmIdParams}&checkUser=${checkUser}`,
        method: 'post'
    });
}

// 数据项点检
export function alarmReasonConfirm(data) {
    return request({
        url: '/Check/AlarmReason',
        method: 'post',
        data
    })
}

// 查询某一报警信息
export function getAlarmReason(alarmId, checkParamId) {
    return request({
        url: `Check/GetAlarmReason?alarmId=${alarmId}&checkParamId=${checkParamId}`,
        method: 'get'
    })
}